• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

XF 1.2 Table doesn't exist - xf_deferred

oman

Well-known member
#1
I started uploading the files while upgrading a site. This error comes up:

Code:
An exception occurred: Mysqli prepare error: Table 'dbname_admin.xf_deferred' doesn't exist in /home/sosforum/public_html/library/Zend/Db/Statement/Mysqli.php on line 77

Zend_Db_Statement_Mysqli->_prepare() in Zend/Db/Statement.php at line 115
Zend_Db_Statement->__construct() in Zend/Db/Adapter/Mysqli.php at line 381
Zend_Db_Adapter_Mysqli->prepare() in Zend/Db/Adapter/Abstract.php at line 478
Zend_Db_Adapter_Abstract->query() in Zend/Db/Adapter/Abstract.php at line 825
Zend_Db_Adapter_Abstract->fetchOne() in XenForo/Model/Deferred.php at line 138
XenForo_Model_Deferred->updateNextDeferredTime() in XenForo/Dependencies/Abstract.php at line 183
XenForo_Dependencies_Abstract->preLoadData() in XenForo/FrontController.php at line 127
XenForo_FrontController->run() in /home/sosforum/public_html/index.php at line 13
Is this fixable. If so, how?
 

oman

Well-known member
#2
I started uploading the files while upgrading a site. This error comes up:

Code:
An exception occurred: Mysqli prepare error: Table 'dbname_admin.xf_deferred' doesn't exist in /home/sosforum/public_html/library/Zend/Db/Statement/Mysqli.php on line 77

Zend_Db_Statement_Mysqli->_prepare() in Zend/Db/Statement.php at line 115
Zend_Db_Statement->__construct() in Zend/Db/Adapter/Mysqli.php at line 381
Zend_Db_Adapter_Mysqli->prepare() in Zend/Db/Adapter/Abstract.php at line 478
Zend_Db_Adapter_Abstract->query() in Zend/Db/Adapter/Abstract.php at line 825
Zend_Db_Adapter_Abstract->fetchOne() in XenForo/Model/Deferred.php at line 138
XenForo_Model_Deferred->updateNextDeferredTime() in XenForo/Dependencies/Abstract.php at line 183
XenForo_Dependencies_Abstract->preLoadData() in XenForo/FrontController.php at line 127
XenForo_FrontController->run() in /home/sosforum/public_html/index.php at line 13
Is this fixable. If so, how?
Should I just navigate to the /install directory and perform the upgrade?